Home Forums WPF controls Xceed DataGrid for WPF About the compatibilty between 1.4 and 2.0

Viewing 3 posts - 1 through 3 (of 3 total)
  • Author
    Posts
  • User (Old forums)
    Member
    Post count: 23064
    #26161 |

    In my current project the client and my team all need to purchase the xceed. In one hand, the client has bought the professional 1.4 and i think it is better for us to keep the same version. In the other hand, i also want to taste the new features released in 2.0.

    So i want to know if the 1.4 version can run the 2.0 or not.

    Imported from legacy forums. Posted by Michael (had 2455 views)

    Odi [Xceed]
    Spectator
    Post count: 426

    You can unlock v2.0 with the 1.4 license key, except the Master/Detail feature won’t work, but everything else will.

    Imported from legacy forums. Posted by Odi [Xceed] (had 270 views)

    Xceed Support
    Member
    Post count: 5658

    You can find the complete information <a href=”http://doc.xceedsoft.com/products/XceedWpfDataGrid/Migrating_from_version_1.x.html”>in this documentation article</a>.

    To make it short, there are 2 things that might “break” your application, and both of them will forbid you from compiling you application with 2.0 references:

    – GroupLevelConfigurations (where replaced with GroupConfiguration and GroupConfigurationSelector ).
    – <xcdg:ClearHeadersFooters/> ( replaced by UseDefaultHeadersFooters property).

    If you are using none of there 2 things, you should be able to replace 1.4 by 2.0 seamlessly.

    Imported from legacy forums. Posted by Marcus [Xceed] (had 3258 views)

Viewing 3 posts - 1 through 3 (of 3 total)
  • You must be logged in to reply to this topic.